Limerence
Spaces

Patch User Artifact

Update a user-scoped artifact file for the current user and space

PATCH
/spaces/{id}/artifacts/user

Update a user-scoped artifact file for the current user and space

Authorization

X-API-Key<token>

Use X-API-Key: .

In: header

Path Parameters

id*string

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

application/json

application/json

application/json

application/json

curl -X PATCH "https://example.com/spaces/string/artifacts/user" \  -H "Content-Type: application/json" \  -d '{    "content": "string",    "path": "string"  }'
{  "filename": "string",  "path": "string",  "size": 0}
{  "cause": {    "code": "api/invalid-json",    "detail": "string"  },  "message": "The request body is not valid JSON"}
{  "cause": {    "code": "auth/jwt-invalid",    "detail": "malformed"  },  "message": "Token verification failed"}
{  "cause": {    "code": "api/no-active-team",    "detail": "You must have an active team. Please select a team to continue."  },  "message": "No active team"}
{  "cause": {    "code": "spaces/artifact-not-found",    "detail": "The requested artifact was not found."  },  "message": "Artifact not found"}
{  "cause": {    "code": "api/unsupported-media-type",    "detail": "GET requests cannot have a content type header"  },  "message": "Unsupported Media Type"}